Subject: Re: setup current problems
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 29 Nov 2001 20:18:51 +1100

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, November 29, 2001 8:18 PM
Subject: Re: setup current problems

> Robert Collins wrote:
>
> >
> > Yes, which is why I'm fixing setup, not hammering on your door about
> > setup.ini :}.
>
> Okay, well while you're mucking with the setup code, I've got a
question
> for you:
>
> 1) joe user has the autoconf package installed on his system.  in the
> past, autoconf depended only on cygwin, perl, m4
>
> 2) now, the new version of autoconf depends on cygwin, perl, m4, AND
> autoconf-devel + autoconf-stable.  (I KNOW that joe user doesn't have
> autoconf-devel/stable installed because they are brand new packages)
>
> Q: will setup automatically select autoconf-devel and autoconf-stable
if
> joe chooses to update his autoconf to the new version?  Why?  (merely
> because -stable and -devel are NEW, or because of the new dependency
> specified by setup.ini for autoconf itself?)

The dependency.

> Q: what if the new dependency was on a package -- say, 'squid' -- that
> has been around a long time, and joe has previously skipped (so now
it's
> "permanently" skipped).  Will setup present 'squid' as a new required
> dependency and automatically select it if joe decides to update his
> existing autoconf?

Yes.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/